@echo off
if exist main.cpp2 goto oldmode

ren main.cpp main.cpp2
ren graphwindow_win32.cpp graphwindow_win32.cpp2
ren graphwindow_win32.hpp graphwindow_win32.hpp2
ren graph.cpp graph.cpp2
ren graph.hpp graph.hpp2

ren main.cpp1 main.cpp
ren graphwindow.cpp1 graphwindow.cpp
ren graphwindow.hpp1 graphwindow.hpp
ren graph.cpp1 graph.cpp
ren graph.hpp1 graph.hpp

goto end

:oldmode
echo Already in old mode!
:end